IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
fe80:c25e:dd:dd:c800::/72- First address
fe80:c25e:dd:dd:c800::- Last address
fe80:c25e:dd:dd:c8ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25e:00dd:00dd:c800:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
8.c.d.d.0.0.d.d.0.0.e.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25e:dd:dd:c800::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25e:dd:dd:c800::/80 | fe80:c25e:dd:dd:c800:ffff:ffff:ffff |
| 2 | fe80:c25e:dd:dd:c801::/80 | fe80:c25e:dd:dd:c801:ffff:ffff:ffff |
| 3 | fe80:c25e:dd:dd:c802::/80 | fe80:c25e:dd:dd:c802:ffff:ffff:ffff |
| 4 | fe80:c25e:dd:dd:c803::/80 | fe80:c25e:dd:dd:c803:ffff:ffff:ffff |
| 5 | fe80:c25e:dd:dd:c804::/80 | fe80:c25e:dd:dd:c804:ffff:ffff:ffff |
| 6 | fe80:c25e:dd:dd:c805::/80 | fe80:c25e:dd:dd:c805:ffff:ffff:ffff |
| 7 | fe80:c25e:dd:dd:c806::/80 | fe80:c25e:dd:dd:c806:ffff:ffff:ffff |
| 8 | fe80:c25e:dd:dd:c807::/80 | fe80:c25e:dd:dd:c807:ffff:ffff:ffff |
| 9 | fe80:c25e:dd:dd:c808::/80 | fe80:c25e:dd:dd:c808:ffff:ffff:ffff |
| 10 | fe80:c25e:dd:dd:c809::/80 | fe80:c25e:dd:dd:c809:ffff:ffff:ffff |
| 11 | fe80:c25e:dd:dd:c80a::/80 | fe80:c25e:dd:dd:c80a:ffff:ffff:ffff |
| 12 | fe80:c25e:dd:dd:c80b::/80 | fe80:c25e:dd:dd:c80b:ffff:ffff:ffff |
| 13 | fe80:c25e:dd:dd:c80c::/80 | fe80:c25e:dd:dd:c80c:ffff:ffff:ffff |
| 14 | fe80:c25e:dd:dd:c80d::/80 | fe80:c25e:dd:dd:c80d:ffff:ffff:ffff |
| 15 | fe80:c25e:dd:dd:c80e::/80 | fe80:c25e:dd:dd:c80e:ffff:ffff:ffff |
| 16 | fe80:c25e:dd:dd:c80f::/80 | fe80:c25e:dd:dd:c80f:ffff:ffff:ffff |
| 17 | fe80:c25e:dd:dd:c810::/80 | fe80:c25e:dd:dd:c810:ffff:ffff:ffff |
| 18 | fe80:c25e:dd:dd:c811::/80 | fe80:c25e:dd:dd:c811:ffff:ffff:ffff |
| 19 | fe80:c25e:dd:dd:c812::/80 | fe80:c25e:dd:dd:c812:ffff:ffff:ffff |
| 20 | fe80:c25e:dd:dd:c813::/80 | fe80:c25e:dd:dd:c813:ffff:ffff:ffff |
| 21 | fe80:c25e:dd:dd:c814::/80 | fe80:c25e:dd:dd:c814:ffff:ffff:ffff |
| 22 | fe80:c25e:dd:dd:c815::/80 | fe80:c25e:dd:dd:c815:ffff:ffff:ffff |
| 23 | fe80:c25e:dd:dd:c816::/80 | fe80:c25e:dd:dd:c816:ffff:ffff:ffff |
| 24 | fe80:c25e:dd:dd:c817::/80 | fe80:c25e:dd:dd:c817:ffff:ffff:ffff |
| 25 | fe80:c25e:dd:dd:c818::/80 | fe80:c25e:dd:dd:c818:ffff:ffff:ffff |
| 26 | fe80:c25e:dd:dd:c819::/80 | fe80:c25e:dd:dd:c819:ffff:ffff:ffff |
| 27 | fe80:c25e:dd:dd:c81a::/80 | fe80:c25e:dd:dd:c81a:ffff:ffff:ffff |
| 28 | fe80:c25e:dd:dd:c81b::/80 | fe80:c25e:dd:dd:c81b:ffff:ffff:ffff |
| 29 | fe80:c25e:dd:dd:c81c::/80 | fe80:c25e:dd:dd:c81c:ffff:ffff:ffff |
| 30 | fe80:c25e:dd:dd:c81d::/80 | fe80:c25e:dd:dd:c81d:ffff:ffff:ffff |
| 31 | fe80:c25e:dd:dd:c81e::/80 | fe80:c25e:dd:dd:c81e:ffff:ffff:ffff |
| 32 | fe80:c25e:dd:dd:c81f::/80 | fe80:c25e:dd:dd:c81f:ffff:ffff:ffff |
| 33 | fe80:c25e:dd:dd:c820::/80 | fe80:c25e:dd:dd:c820:ffff:ffff:ffff |
| 34 | fe80:c25e:dd:dd:c821::/80 | fe80:c25e:dd:dd:c821:ffff:ffff:ffff |
| 35 | fe80:c25e:dd:dd:c822::/80 | fe80:c25e:dd:dd:c822:ffff:ffff:ffff |
| 36 | fe80:c25e:dd:dd:c823::/80 | fe80:c25e:dd:dd:c823:ffff:ffff:ffff |
| 37 | fe80:c25e:dd:dd:c824::/80 | fe80:c25e:dd:dd:c824:ffff:ffff:ffff |
| 38 | fe80:c25e:dd:dd:c825::/80 | fe80:c25e:dd:dd:c825:ffff:ffff:ffff |
| 39 | fe80:c25e:dd:dd:c826::/80 | fe80:c25e:dd:dd:c826:ffff:ffff:ffff |
| 40 | fe80:c25e:dd:dd:c827::/80 | fe80:c25e:dd:dd:c827:ffff:ffff:ffff |
| 41 | fe80:c25e:dd:dd:c828::/80 | fe80:c25e:dd:dd:c828:ffff:ffff:ffff |
| 42 | fe80:c25e:dd:dd:c829::/80 | fe80:c25e:dd:dd:c829:ffff:ffff:ffff |
| 43 | fe80:c25e:dd:dd:c82a::/80 | fe80:c25e:dd:dd:c82a:ffff:ffff:ffff |
| 44 | fe80:c25e:dd:dd:c82b::/80 | fe80:c25e:dd:dd:c82b:ffff:ffff:ffff |
| 45 | fe80:c25e:dd:dd:c82c::/80 | fe80:c25e:dd:dd:c82c:ffff:ffff:ffff |
| 46 | fe80:c25e:dd:dd:c82d::/80 | fe80:c25e:dd:dd:c82d:ffff:ffff:ffff |
| 47 | fe80:c25e:dd:dd:c82e::/80 | fe80:c25e:dd:dd:c82e:ffff:ffff:ffff |
| 48 | fe80:c25e:dd:dd:c82f::/80 | fe80:c25e:dd:dd:c82f:ffff:ffff:ffff |
| 49 | fe80:c25e:dd:dd:c830::/80 | fe80:c25e:dd:dd:c830:ffff:ffff:ffff |
| 50 | fe80:c25e:dd:dd:c831::/80 | fe80:c25e:dd:dd:c831:ffff:ffff:ffff |
| 51 | fe80:c25e:dd:dd:c832::/80 | fe80:c25e:dd:dd:c832:ffff:ffff:ffff |
| 52 | fe80:c25e:dd:dd:c833::/80 | fe80:c25e:dd:dd:c833:ffff:ffff:ffff |
| 53 | fe80:c25e:dd:dd:c834::/80 | fe80:c25e:dd:dd:c834:ffff:ffff:ffff |
| 54 | fe80:c25e:dd:dd:c835::/80 | fe80:c25e:dd:dd:c835:ffff:ffff:ffff |
| 55 | fe80:c25e:dd:dd:c836::/80 | fe80:c25e:dd:dd:c836:ffff:ffff:ffff |
| 56 | fe80:c25e:dd:dd:c837::/80 | fe80:c25e:dd:dd:c837:ffff:ffff:ffff |
| 57 | fe80:c25e:dd:dd:c838::/80 | fe80:c25e:dd:dd:c838:ffff:ffff:ffff |
| 58 | fe80:c25e:dd:dd:c839::/80 | fe80:c25e:dd:dd:c839:ffff:ffff:ffff |
| 59 | fe80:c25e:dd:dd:c83a::/80 | fe80:c25e:dd:dd:c83a:ffff:ffff:ffff |
| 60 | fe80:c25e:dd:dd:c83b::/80 | fe80:c25e:dd:dd:c83b:ffff:ffff:ffff |
| 61 | fe80:c25e:dd:dd:c83c::/80 | fe80:c25e:dd:dd:c83c:ffff:ffff:ffff |
| 62 | fe80:c25e:dd:dd:c83d::/80 | fe80:c25e:dd:dd:c83d:ffff:ffff:ffff |
| 63 | fe80:c25e:dd:dd:c83e::/80 | fe80:c25e:dd:dd:c83e:ffff:ffff:ffff |
| 64 | fe80:c25e:dd:dd:c83f::/80 | fe80:c25e:dd:dd:c83f:ffff:ffff:ffff |
| 65 | fe80:c25e:dd:dd:c840::/80 | fe80:c25e:dd:dd:c840:ffff:ffff:ffff |
| 66 | fe80:c25e:dd:dd:c841::/80 | fe80:c25e:dd:dd:c841:ffff:ffff:ffff |
| 67 | fe80:c25e:dd:dd:c842::/80 | fe80:c25e:dd:dd:c842:ffff:ffff:ffff |
| 68 | fe80:c25e:dd:dd:c843::/80 | fe80:c25e:dd:dd:c843:ffff:ffff:ffff |
| 69 | fe80:c25e:dd:dd:c844::/80 | fe80:c25e:dd:dd:c844:ffff:ffff:ffff |
| 70 | fe80:c25e:dd:dd:c845::/80 | fe80:c25e:dd:dd:c845:ffff:ffff:ffff |
| 71 | fe80:c25e:dd:dd:c846::/80 | fe80:c25e:dd:dd:c846:ffff:ffff:ffff |
| 72 | fe80:c25e:dd:dd:c847::/80 | fe80:c25e:dd:dd:c847:ffff:ffff:ffff |
| 73 | fe80:c25e:dd:dd:c848::/80 | fe80:c25e:dd:dd:c848:ffff:ffff:ffff |
| 74 | fe80:c25e:dd:dd:c849::/80 | fe80:c25e:dd:dd:c849:ffff:ffff:ffff |
| 75 | fe80:c25e:dd:dd:c84a::/80 | fe80:c25e:dd:dd:c84a:ffff:ffff:ffff |
| 76 | fe80:c25e:dd:dd:c84b::/80 | fe80:c25e:dd:dd:c84b:ffff:ffff:ffff |
| 77 | fe80:c25e:dd:dd:c84c::/80 | fe80:c25e:dd:dd:c84c:ffff:ffff:ffff |
| 78 | fe80:c25e:dd:dd:c84d::/80 | fe80:c25e:dd:dd:c84d:ffff:ffff:ffff |
| 79 | fe80:c25e:dd:dd:c84e::/80 | fe80:c25e:dd:dd:c84e:ffff:ffff:ffff |
| 80 | fe80:c25e:dd:dd:c84f::/80 | fe80:c25e:dd:dd:c84f:ffff:ffff:ffff |
| 81 | fe80:c25e:dd:dd:c850::/80 | fe80:c25e:dd:dd:c850:ffff:ffff:ffff |
| 82 | fe80:c25e:dd:dd:c851::/80 | fe80:c25e:dd:dd:c851:ffff:ffff:ffff |
| 83 | fe80:c25e:dd:dd:c852::/80 | fe80:c25e:dd:dd:c852:ffff:ffff:ffff |
| 84 | fe80:c25e:dd:dd:c853::/80 | fe80:c25e:dd:dd:c853:ffff:ffff:ffff |
| 85 | fe80:c25e:dd:dd:c854::/80 | fe80:c25e:dd:dd:c854:ffff:ffff:ffff |
| 86 | fe80:c25e:dd:dd:c855::/80 | fe80:c25e:dd:dd:c855:ffff:ffff:ffff |
| 87 | fe80:c25e:dd:dd:c856::/80 | fe80:c25e:dd:dd:c856:ffff:ffff:ffff |
| 88 | fe80:c25e:dd:dd:c857::/80 | fe80:c25e:dd:dd:c857:ffff:ffff:ffff |
| 89 | fe80:c25e:dd:dd:c858::/80 | fe80:c25e:dd:dd:c858:ffff:ffff:ffff |
| 90 | fe80:c25e:dd:dd:c859::/80 | fe80:c25e:dd:dd:c859:ffff:ffff:ffff |
| 91 | fe80:c25e:dd:dd:c85a::/80 | fe80:c25e:dd:dd:c85a:ffff:ffff:ffff |
| 92 | fe80:c25e:dd:dd:c85b::/80 | fe80:c25e:dd:dd:c85b:ffff:ffff:ffff |
| 93 | fe80:c25e:dd:dd:c85c::/80 | fe80:c25e:dd:dd:c85c:ffff:ffff:ffff |
| 94 | fe80:c25e:dd:dd:c85d::/80 | fe80:c25e:dd:dd:c85d:ffff:ffff:ffff |
| 95 | fe80:c25e:dd:dd:c85e::/80 | fe80:c25e:dd:dd:c85e:ffff:ffff:ffff |
| 96 | fe80:c25e:dd:dd:c85f::/80 | fe80:c25e:dd:dd:c85f:ffff:ffff:ffff |
| 97 | fe80:c25e:dd:dd:c860::/80 | fe80:c25e:dd:dd:c860:ffff:ffff:ffff |
| 98 | fe80:c25e:dd:dd:c861::/80 | fe80:c25e:dd:dd:c861:ffff:ffff:ffff |
| 99 | fe80:c25e:dd:dd:c862::/80 | fe80:c25e:dd:dd:c862:ffff:ffff:ffff |
| 100 | fe80:c25e:dd:dd:c863::/80 | fe80:c25e:dd:dd:c863:ffff:ffff:ffff |
| 101 | fe80:c25e:dd:dd:c864::/80 | fe80:c25e:dd:dd:c864:ffff:ffff:ffff |
| 102 | fe80:c25e:dd:dd:c865::/80 | fe80:c25e:dd:dd:c865:ffff:ffff:ffff |
| 103 | fe80:c25e:dd:dd:c866::/80 | fe80:c25e:dd:dd:c866:ffff:ffff:ffff |
| 104 | fe80:c25e:dd:dd:c867::/80 | fe80:c25e:dd:dd:c867:ffff:ffff:ffff |
| 105 | fe80:c25e:dd:dd:c868::/80 | fe80:c25e:dd:dd:c868:ffff:ffff:ffff |
| 106 | fe80:c25e:dd:dd:c869::/80 | fe80:c25e:dd:dd:c869:ffff:ffff:ffff |
| 107 | fe80:c25e:dd:dd:c86a::/80 | fe80:c25e:dd:dd:c86a:ffff:ffff:ffff |
| 108 | fe80:c25e:dd:dd:c86b::/80 | fe80:c25e:dd:dd:c86b:ffff:ffff:ffff |
| 109 | fe80:c25e:dd:dd:c86c::/80 | fe80:c25e:dd:dd:c86c:ffff:ffff:ffff |
| 110 | fe80:c25e:dd:dd:c86d::/80 | fe80:c25e:dd:dd:c86d:ffff:ffff:ffff |
| 111 | fe80:c25e:dd:dd:c86e::/80 | fe80:c25e:dd:dd:c86e:ffff:ffff:ffff |
| 112 | fe80:c25e:dd:dd:c86f::/80 | fe80:c25e:dd:dd:c86f:ffff:ffff:ffff |
| 113 | fe80:c25e:dd:dd:c870::/80 | fe80:c25e:dd:dd:c870:ffff:ffff:ffff |
| 114 | fe80:c25e:dd:dd:c871::/80 | fe80:c25e:dd:dd:c871:ffff:ffff:ffff |
| 115 | fe80:c25e:dd:dd:c872::/80 | fe80:c25e:dd:dd:c872:ffff:ffff:ffff |
| 116 | fe80:c25e:dd:dd:c873::/80 | fe80:c25e:dd:dd:c873:ffff:ffff:ffff |
| 117 | fe80:c25e:dd:dd:c874::/80 | fe80:c25e:dd:dd:c874:ffff:ffff:ffff |
| 118 | fe80:c25e:dd:dd:c875::/80 | fe80:c25e:dd:dd:c875:ffff:ffff:ffff |
| 119 | fe80:c25e:dd:dd:c876::/80 | fe80:c25e:dd:dd:c876:ffff:ffff:ffff |
| 120 | fe80:c25e:dd:dd:c877::/80 | fe80:c25e:dd:dd:c877:ffff:ffff:ffff |
| 121 | fe80:c25e:dd:dd:c878::/80 | fe80:c25e:dd:dd:c878:ffff:ffff:ffff |
| 122 | fe80:c25e:dd:dd:c879::/80 | fe80:c25e:dd:dd:c879:ffff:ffff:ffff |
| 123 | fe80:c25e:dd:dd:c87a::/80 | fe80:c25e:dd:dd:c87a:ffff:ffff:ffff |
| 124 | fe80:c25e:dd:dd:c87b::/80 | fe80:c25e:dd:dd:c87b:ffff:ffff:ffff |
| 125 | fe80:c25e:dd:dd:c87c::/80 | fe80:c25e:dd:dd:c87c:ffff:ffff:ffff |
| 126 | fe80:c25e:dd:dd:c87d::/80 | fe80:c25e:dd:dd:c87d:ffff:ffff:ffff |
| 127 | fe80:c25e:dd:dd:c87e::/80 | fe80:c25e:dd:dd:c87e:ffff:ffff:ffff |
| 128 | fe80:c25e:dd:dd:c87f::/80 | fe80:c25e:dd:dd:c87f:ffff:ffff:ffff |
| 129 | fe80:c25e:dd:dd:c880::/80 | fe80:c25e:dd:dd:c880:ffff:ffff:ffff |
| 130 | fe80:c25e:dd:dd:c881::/80 | fe80:c25e:dd:dd:c881:ffff:ffff:ffff |
| 131 | fe80:c25e:dd:dd:c882::/80 | fe80:c25e:dd:dd:c882:ffff:ffff:ffff |
| 132 | fe80:c25e:dd:dd:c883::/80 | fe80:c25e:dd:dd:c883:ffff:ffff:ffff |
| 133 | fe80:c25e:dd:dd:c884::/80 | fe80:c25e:dd:dd:c884:ffff:ffff:ffff |
| 134 | fe80:c25e:dd:dd:c885::/80 | fe80:c25e:dd:dd:c885:ffff:ffff:ffff |
| 135 | fe80:c25e:dd:dd:c886::/80 | fe80:c25e:dd:dd:c886:ffff:ffff:ffff |
| 136 | fe80:c25e:dd:dd:c887::/80 | fe80:c25e:dd:dd:c887:ffff:ffff:ffff |
| 137 | fe80:c25e:dd:dd:c888::/80 | fe80:c25e:dd:dd:c888:ffff:ffff:ffff |
| 138 | fe80:c25e:dd:dd:c889::/80 | fe80:c25e:dd:dd:c889:ffff:ffff:ffff |
| 139 | fe80:c25e:dd:dd:c88a::/80 | fe80:c25e:dd:dd:c88a:ffff:ffff:ffff |
| 140 | fe80:c25e:dd:dd:c88b::/80 | fe80:c25e:dd:dd:c88b:ffff:ffff:ffff |
| 141 | fe80:c25e:dd:dd:c88c::/80 | fe80:c25e:dd:dd:c88c:ffff:ffff:ffff |
| 142 | fe80:c25e:dd:dd:c88d::/80 | fe80:c25e:dd:dd:c88d:ffff:ffff:ffff |
| 143 | fe80:c25e:dd:dd:c88e::/80 | fe80:c25e:dd:dd:c88e:ffff:ffff:ffff |
| 144 | fe80:c25e:dd:dd:c88f::/80 | fe80:c25e:dd:dd:c88f:ffff:ffff:ffff |
| 145 | fe80:c25e:dd:dd:c890::/80 | fe80:c25e:dd:dd:c890:ffff:ffff:ffff |
| 146 | fe80:c25e:dd:dd:c891::/80 | fe80:c25e:dd:dd:c891:ffff:ffff:ffff |
| 147 | fe80:c25e:dd:dd:c892::/80 | fe80:c25e:dd:dd:c892:ffff:ffff:ffff |
| 148 | fe80:c25e:dd:dd:c893::/80 | fe80:c25e:dd:dd:c893:ffff:ffff:ffff |
| 149 | fe80:c25e:dd:dd:c894::/80 | fe80:c25e:dd:dd:c894:ffff:ffff:ffff |
| 150 | fe80:c25e:dd:dd:c895::/80 | fe80:c25e:dd:dd:c895:ffff:ffff:ffff |
| 151 | fe80:c25e:dd:dd:c896::/80 | fe80:c25e:dd:dd:c896:ffff:ffff:ffff |
| 152 | fe80:c25e:dd:dd:c897::/80 | fe80:c25e:dd:dd:c897:ffff:ffff:ffff |
| 153 | fe80:c25e:dd:dd:c898::/80 | fe80:c25e:dd:dd:c898:ffff:ffff:ffff |
| 154 | fe80:c25e:dd:dd:c899::/80 | fe80:c25e:dd:dd:c899:ffff:ffff:ffff |
| 155 | fe80:c25e:dd:dd:c89a::/80 | fe80:c25e:dd:dd:c89a:ffff:ffff:ffff |
| 156 | fe80:c25e:dd:dd:c89b::/80 | fe80:c25e:dd:dd:c89b:ffff:ffff:ffff |
| 157 | fe80:c25e:dd:dd:c89c::/80 | fe80:c25e:dd:dd:c89c:ffff:ffff:ffff |
| 158 | fe80:c25e:dd:dd:c89d::/80 | fe80:c25e:dd:dd:c89d:ffff:ffff:ffff |
| 159 | fe80:c25e:dd:dd:c89e::/80 | fe80:c25e:dd:dd:c89e:ffff:ffff:ffff |
| 160 | fe80:c25e:dd:dd:c89f::/80 | fe80:c25e:dd:dd:c89f:ffff:ffff:ffff |
| 161 | fe80:c25e:dd:dd:c8a0::/80 | fe80:c25e:dd:dd:c8a0:ffff:ffff:ffff |
| 162 | fe80:c25e:dd:dd:c8a1::/80 | fe80:c25e:dd:dd:c8a1:ffff:ffff:ffff |
| 163 | fe80:c25e:dd:dd:c8a2::/80 | fe80:c25e:dd:dd:c8a2:ffff:ffff:ffff |
| 164 | fe80:c25e:dd:dd:c8a3::/80 | fe80:c25e:dd:dd:c8a3:ffff:ffff:ffff |
| 165 | fe80:c25e:dd:dd:c8a4::/80 | fe80:c25e:dd:dd:c8a4:ffff:ffff:ffff |
| 166 | fe80:c25e:dd:dd:c8a5::/80 | fe80:c25e:dd:dd:c8a5:ffff:ffff:ffff |
| 167 | fe80:c25e:dd:dd:c8a6::/80 | fe80:c25e:dd:dd:c8a6:ffff:ffff:ffff |
| 168 | fe80:c25e:dd:dd:c8a7::/80 | fe80:c25e:dd:dd:c8a7:ffff:ffff:ffff |
| 169 | fe80:c25e:dd:dd:c8a8::/80 | fe80:c25e:dd:dd:c8a8:ffff:ffff:ffff |
| 170 | fe80:c25e:dd:dd:c8a9::/80 | fe80:c25e:dd:dd:c8a9:ffff:ffff:ffff |
| 171 | fe80:c25e:dd:dd:c8aa::/80 | fe80:c25e:dd:dd:c8aa:ffff:ffff:ffff |
| 172 | fe80:c25e:dd:dd:c8ab::/80 | fe80:c25e:dd:dd:c8ab:ffff:ffff:ffff |
| 173 | fe80:c25e:dd:dd:c8ac::/80 | fe80:c25e:dd:dd:c8ac:ffff:ffff:ffff |
| 174 | fe80:c25e:dd:dd:c8ad::/80 | fe80:c25e:dd:dd:c8ad:ffff:ffff:ffff |
| 175 | fe80:c25e:dd:dd:c8ae::/80 | fe80:c25e:dd:dd:c8ae:ffff:ffff:ffff |
| 176 | fe80:c25e:dd:dd:c8af::/80 | fe80:c25e:dd:dd:c8af:ffff:ffff:ffff |
| 177 | fe80:c25e:dd:dd:c8b0::/80 | fe80:c25e:dd:dd:c8b0:ffff:ffff:ffff |
| 178 | fe80:c25e:dd:dd:c8b1::/80 | fe80:c25e:dd:dd:c8b1:ffff:ffff:ffff |
| 179 | fe80:c25e:dd:dd:c8b2::/80 | fe80:c25e:dd:dd:c8b2:ffff:ffff:ffff |
| 180 | fe80:c25e:dd:dd:c8b3::/80 | fe80:c25e:dd:dd:c8b3:ffff:ffff:ffff |
| 181 | fe80:c25e:dd:dd:c8b4::/80 | fe80:c25e:dd:dd:c8b4:ffff:ffff:ffff |
| 182 | fe80:c25e:dd:dd:c8b5::/80 | fe80:c25e:dd:dd:c8b5:ffff:ffff:ffff |
| 183 | fe80:c25e:dd:dd:c8b6::/80 | fe80:c25e:dd:dd:c8b6:ffff:ffff:ffff |
| 184 | fe80:c25e:dd:dd:c8b7::/80 | fe80:c25e:dd:dd:c8b7:ffff:ffff:ffff |
| 185 | fe80:c25e:dd:dd:c8b8::/80 | fe80:c25e:dd:dd:c8b8:ffff:ffff:ffff |
| 186 | fe80:c25e:dd:dd:c8b9::/80 | fe80:c25e:dd:dd:c8b9:ffff:ffff:ffff |
| 187 | fe80:c25e:dd:dd:c8ba::/80 | fe80:c25e:dd:dd:c8ba:ffff:ffff:ffff |
| 188 | fe80:c25e:dd:dd:c8bb::/80 | fe80:c25e:dd:dd:c8bb:ffff:ffff:ffff |
| 189 | fe80:c25e:dd:dd:c8bc::/80 | fe80:c25e:dd:dd:c8bc:ffff:ffff:ffff |
| 190 | fe80:c25e:dd:dd:c8bd::/80 | fe80:c25e:dd:dd:c8bd:ffff:ffff:ffff |
| 191 | fe80:c25e:dd:dd:c8be::/80 | fe80:c25e:dd:dd:c8be:ffff:ffff:ffff |
| 192 | fe80:c25e:dd:dd:c8bf::/80 | fe80:c25e:dd:dd:c8bf:ffff:ffff:ffff |
| 193 | fe80:c25e:dd:dd:c8c0::/80 | fe80:c25e:dd:dd:c8c0:ffff:ffff:ffff |
| 194 | fe80:c25e:dd:dd:c8c1::/80 | fe80:c25e:dd:dd:c8c1:ffff:ffff:ffff |
| 195 | fe80:c25e:dd:dd:c8c2::/80 | fe80:c25e:dd:dd:c8c2:ffff:ffff:ffff |
| 196 | fe80:c25e:dd:dd:c8c3::/80 | fe80:c25e:dd:dd:c8c3:ffff:ffff:ffff |
| 197 | fe80:c25e:dd:dd:c8c4::/80 | fe80:c25e:dd:dd:c8c4:ffff:ffff:ffff |
| 198 | fe80:c25e:dd:dd:c8c5::/80 | fe80:c25e:dd:dd:c8c5:ffff:ffff:ffff |
| 199 | fe80:c25e:dd:dd:c8c6::/80 | fe80:c25e:dd:dd:c8c6:ffff:ffff:ffff |
| 200 | fe80:c25e:dd:dd:c8c7::/80 | fe80:c25e:dd:dd:c8c7:ffff:ffff:ffff |
| 201 | fe80:c25e:dd:dd:c8c8::/80 | fe80:c25e:dd:dd:c8c8:ffff:ffff:ffff |
| 202 | fe80:c25e:dd:dd:c8c9::/80 | fe80:c25e:dd:dd:c8c9:ffff:ffff:ffff |
| 203 | fe80:c25e:dd:dd:c8ca::/80 | fe80:c25e:dd:dd:c8ca:ffff:ffff:ffff |
| 204 | fe80:c25e:dd:dd:c8cb::/80 | fe80:c25e:dd:dd:c8cb:ffff:ffff:ffff |
| 205 | fe80:c25e:dd:dd:c8cc::/80 | fe80:c25e:dd:dd:c8cc:ffff:ffff:ffff |
| 206 | fe80:c25e:dd:dd:c8cd::/80 | fe80:c25e:dd:dd:c8cd:ffff:ffff:ffff |
| 207 | fe80:c25e:dd:dd:c8ce::/80 | fe80:c25e:dd:dd:c8ce:ffff:ffff:ffff |
| 208 | fe80:c25e:dd:dd:c8cf::/80 | fe80:c25e:dd:dd:c8cf:ffff:ffff:ffff |
| 209 | fe80:c25e:dd:dd:c8d0::/80 | fe80:c25e:dd:dd:c8d0:ffff:ffff:ffff |
| 210 | fe80:c25e:dd:dd:c8d1::/80 | fe80:c25e:dd:dd:c8d1:ffff:ffff:ffff |
| 211 | fe80:c25e:dd:dd:c8d2::/80 | fe80:c25e:dd:dd:c8d2:ffff:ffff:ffff |
| 212 | fe80:c25e:dd:dd:c8d3::/80 | fe80:c25e:dd:dd:c8d3:ffff:ffff:ffff |
| 213 | fe80:c25e:dd:dd:c8d4::/80 | fe80:c25e:dd:dd:c8d4:ffff:ffff:ffff |
| 214 | fe80:c25e:dd:dd:c8d5::/80 | fe80:c25e:dd:dd:c8d5:ffff:ffff:ffff |
| 215 | fe80:c25e:dd:dd:c8d6::/80 | fe80:c25e:dd:dd:c8d6:ffff:ffff:ffff |
| 216 | fe80:c25e:dd:dd:c8d7::/80 | fe80:c25e:dd:dd:c8d7:ffff:ffff:ffff |
| 217 | fe80:c25e:dd:dd:c8d8::/80 | fe80:c25e:dd:dd:c8d8:ffff:ffff:ffff |
| 218 | fe80:c25e:dd:dd:c8d9::/80 | fe80:c25e:dd:dd:c8d9:ffff:ffff:ffff |
| 219 | fe80:c25e:dd:dd:c8da::/80 | fe80:c25e:dd:dd:c8da:ffff:ffff:ffff |
| 220 | fe80:c25e:dd:dd:c8db::/80 | fe80:c25e:dd:dd:c8db:ffff:ffff:ffff |
| 221 | fe80:c25e:dd:dd:c8dc::/80 | fe80:c25e:dd:dd:c8dc:ffff:ffff:ffff |
| 222 | fe80:c25e:dd:dd:c8dd::/80 | fe80:c25e:dd:dd:c8dd:ffff:ffff:ffff |
| 223 | fe80:c25e:dd:dd:c8de::/80 | fe80:c25e:dd:dd:c8de:ffff:ffff:ffff |
| 224 | fe80:c25e:dd:dd:c8df::/80 | fe80:c25e:dd:dd:c8df:ffff:ffff:ffff |
| 225 | fe80:c25e:dd:dd:c8e0::/80 | fe80:c25e:dd:dd:c8e0:ffff:ffff:ffff |
| 226 | fe80:c25e:dd:dd:c8e1::/80 | fe80:c25e:dd:dd:c8e1:ffff:ffff:ffff |
| 227 | fe80:c25e:dd:dd:c8e2::/80 | fe80:c25e:dd:dd:c8e2:ffff:ffff:ffff |
| 228 | fe80:c25e:dd:dd:c8e3::/80 | fe80:c25e:dd:dd:c8e3:ffff:ffff:ffff |
| 229 | fe80:c25e:dd:dd:c8e4::/80 | fe80:c25e:dd:dd:c8e4:ffff:ffff:ffff |
| 230 | fe80:c25e:dd:dd:c8e5::/80 | fe80:c25e:dd:dd:c8e5:ffff:ffff:ffff |
| 231 | fe80:c25e:dd:dd:c8e6::/80 | fe80:c25e:dd:dd:c8e6:ffff:ffff:ffff |
| 232 | fe80:c25e:dd:dd:c8e7::/80 | fe80:c25e:dd:dd:c8e7:ffff:ffff:ffff |
| 233 | fe80:c25e:dd:dd:c8e8::/80 | fe80:c25e:dd:dd:c8e8:ffff:ffff:ffff |
| 234 | fe80:c25e:dd:dd:c8e9::/80 | fe80:c25e:dd:dd:c8e9:ffff:ffff:ffff |
| 235 | fe80:c25e:dd:dd:c8ea::/80 | fe80:c25e:dd:dd:c8ea:ffff:ffff:ffff |
| 236 | fe80:c25e:dd:dd:c8eb::/80 | fe80:c25e:dd:dd:c8eb:ffff:ffff:ffff |
| 237 | fe80:c25e:dd:dd:c8ec::/80 | fe80:c25e:dd:dd:c8ec:ffff:ffff:ffff |
| 238 | fe80:c25e:dd:dd:c8ed::/80 | fe80:c25e:dd:dd:c8ed:ffff:ffff:ffff |
| 239 | fe80:c25e:dd:dd:c8ee::/80 | fe80:c25e:dd:dd:c8ee:ffff:ffff:ffff |
| 240 | fe80:c25e:dd:dd:c8ef::/80 | fe80:c25e:dd:dd:c8ef:ffff:ffff:ffff |
| 241 | fe80:c25e:dd:dd:c8f0::/80 | fe80:c25e:dd:dd:c8f0:ffff:ffff:ffff |
| 242 | fe80:c25e:dd:dd:c8f1::/80 | fe80:c25e:dd:dd:c8f1:ffff:ffff:ffff |
| 243 | fe80:c25e:dd:dd:c8f2::/80 | fe80:c25e:dd:dd:c8f2:ffff:ffff:ffff |
| 244 | fe80:c25e:dd:dd:c8f3::/80 | fe80:c25e:dd:dd:c8f3:ffff:ffff:ffff |
| 245 | fe80:c25e:dd:dd:c8f4::/80 | fe80:c25e:dd:dd:c8f4:ffff:ffff:ffff |
| 246 | fe80:c25e:dd:dd:c8f5::/80 | fe80:c25e:dd:dd:c8f5:ffff:ffff:ffff |
| 247 | fe80:c25e:dd:dd:c8f6::/80 | fe80:c25e:dd:dd:c8f6:ffff:ffff:ffff |
| 248 | fe80:c25e:dd:dd:c8f7::/80 | fe80:c25e:dd:dd:c8f7:ffff:ffff:ffff |
| 249 | fe80:c25e:dd:dd:c8f8::/80 | fe80:c25e:dd:dd:c8f8:ffff:ffff:ffff |
| 250 | fe80:c25e:dd:dd:c8f9::/80 | fe80:c25e:dd:dd:c8f9:ffff:ffff:ffff |
| 251 | fe80:c25e:dd:dd:c8fa::/80 | fe80:c25e:dd:dd:c8fa:ffff:ffff:ffff |
| 252 | fe80:c25e:dd:dd:c8fb::/80 | fe80:c25e:dd:dd:c8fb:ffff:ffff:ffff |
| 253 | fe80:c25e:dd:dd:c8fc::/80 | fe80:c25e:dd:dd:c8fc:ffff:ffff:ffff |
| 254 | fe80:c25e:dd:dd:c8fd::/80 | fe80:c25e:dd:dd:c8fd:ffff:ffff:ffff |
| 255 | fe80:c25e:dd:dd:c8fe::/80 | fe80:c25e:dd:dd:c8fe:ffff:ffff:ffff |
| 256 | fe80:c25e:dd:dd:c8ff::/80 | fe80:c25e:dd:dd:c8ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |